Subject: Re: Odds n Ends
From: "Steve Bamford" <[email-masked]>
To: "tracy & da SWAMPdogs" <[email-masked]>
Date: Sun, 29 Jul 2001 13:06:19 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
  ----- Original Message ----- 
  From: tracy & da SWAMPdogs 
  To: Steve Bamford 
  Sent: Monday, April 09, 2001 6:04 PM
  Subject: Odds n Ends

  From the same visit to McChord AFB's museum...

  "Iraqi AntiAir":  This critter just astounded Jeni and I, though we were not able to get good angles to photograph it.  The little sign I took a photo of with it tells more about it, but we are just stunned with the concept of sitting on this thing that looks like a farm implement from the 1800s and taking on A-10s, F-15s, or even large mosquitos, really.  (The poor guy behind it is a museum volunteer, I suppose I should have asked if he'd like to get out of the photo first!)

  "Norden bombsight":  This was behind glass, so this was the only angle I could get of it.

  "Ordnance carrier":  Dunno, it drags bombs and stuff around... proper names would make us feel smarter.  Let us know!

  "P-39 Gun":  I guess that folks in the PNW did overhauls on the P-39 weapons, as explained much better on the card in front of the weapon.  This was another behind glass, but having never seen a 'naked' P-39 gun before, i thought it might be a neat thing to have a photo of.

  "WACO Glider Seat": Ok, just imagine sitting on this in a plane as it crashes... I mean lands... in Normandy over trees, bumps, rocks...  My butt aches just thinking about it.  I would think WACO pilots would get purple hearts just from landing.  This was another behind glass display.  Jeni wants to mention that she was glad to see it since if she ever got a kit of a WACO she would be enraged at the poor detail shown in the pilot seats had she not seen a real one first... hahahahaha  There is also an instrument panel from a WACO here as well.  Not a lot to detail...